//
//  CWApiProvider.h
//  KontoCloudSDK
//
//  Created by Kolya Nick on 15.05.17.
//  Copyright © 2017 ContoWorks. All rights reserved.
//

#import <Foundation/Foundation.h>

@class CWAccountAPI;
@class CWAuthenticationAPI;
@class CWPaymentAPI;
@class CWSettingsAPI;
@class CWUserAPI;
@class CWApiProviderOption;

@interface CWApiProvider : NSObject

@property (nonatomic, readonly) CWApiProviderOption *apiOption;
@property (nonatomic, readonly) CWAccountAPI *accountAPI;
@property (nonatomic, readonly) CWAuthenticationAPI *authenticationAPI;
@property (nonatomic, readonly) CWPaymentAPI *paymentAPI;
@property (nonatomic, readonly) CWSettingsAPI *settingsAPI;
@property (nonatomic, readonly) CWUserAPI *userAPI;

- (instancetype)initWithApiOption:(CWApiProviderOption *)apiOption;

//+ (NSString *)getPaypalTrackingID:(Environment)enviroment;

@end
