//
//  CWPayPalButtonStyle.h
//  KontoCloudSDK
//
//  Created by Andrey Nikolov on 3.04.23.
//  Copyright © 2023 ContoWorks. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

typedef NS_ENUM(uintptr_t, PaypalButtonSize) {
    Small,
    Responsive
};

typedef NS_ENUM(uintptr_t, PaypalButtonColor) {
    Gold,
    Blue,
    Silver,
    Black
};

typedef NS_ENUM(uintptr_t, PaypalButtonShape) {
    PillShape,
    RectShape
};

typedef NS_ENUM(uintptr_t, PaypalButtonLabel) {
    Paypal,
    Checkout,
    Pay,
    Buynow
};

typedef NS_ENUM(uintptr_t, PaypalButtonTagline) {
    WithTagline,
    WithoutTagline,
};


@interface CWPayPalButtonStyle : NSObject

@property (nonatomic) PaypalButtonSize buttonSize;
@property (nonatomic) PaypalButtonColor buttonColor;
@property (nonatomic) PaypalButtonShape buttonShape;
@property (nonatomic) PaypalButtonLabel buttonLabel;
@property (nonatomic) PaypalButtonTagline buttonTagline;

- (id)initWithSize:(PaypalButtonSize)size
                       color:(PaypalButtonColor)color
                       shape:(PaypalButtonShape)shape
                       label:(PaypalButtonLabel)label
                       tagline:(PaypalButtonTagline)tagline;
- (id)initDefault;

- (NSString *)getButtonSizeAsString;
- (NSString *)getButtonColorAsString;
- (NSString *)getButtonShapeAsString;
- (NSString *)getButtonLabelAsString;
- (NSString *)getButtonTaglineAsString;

@end

